Subject: Re: configure: error: invalid package name: extra-includes
From: "Gerrit P. Haase" <[email-masked]>
To: "Peter Ekberg" <[email-masked]>
Cc: [email-masked]
Date: Thu, 26 Aug 2004 17:20:55 +0200

Peter wrote:

>> The last time I tried to build ggi-project failed with compilation
>> errors.  That probably means that I was able to configure it 
>> or parts of
>> it.

> I have spent some time on getting libggi working. I believe it does work
> now, you have to use the cvs version though as the released versions do
> not have all the patches that has been commited lately.

> The problem is not that I can't get it to work. It works *most* of the
> time. *Sometimes* there's this mysterious failure though. I'm tired of
> adding spaces to the configure command and I would also like
> "./config.status --recheck" to work reliably.

> What does an extra space between configure arguments really change? This
> is friggin' strange.

>> I always update the autogenerated part when a package is going to
>> build shared libraries, try: autoreconf --install --force --verbose in
>> the source directory.  Well, you do this anyway when building 
>> from CVS?

> No, there is an autogen.sh script included though. It basically boils
> down to this:
> aclocal
> autoheader
> automake --add-missing
> autoconf

> Anyway, I tried:
> WANT_LIBTOOL_VER=1.5.6 WANT_AUTOMAKE_VER=1.8.5 WANT_AUTOCONF_VER=2.59
> autoreconf --install --force --verbose
> and I can still reproduce the bug. I can configure with the "correct"
> number of extra spaces though, but it later bugs out during make so that
> is a definite step backwards.

>> Which version of configure, automake, libtool are you using?

> autoconf 2.59 and automake 1.8.5 and an old libtool (libtool is included
> in libgii, I've had to throw quite a few patches at it to make it work
> with cygwin/mingw. I reported a dlltool/dllwrap problem to this list
> earlier related to this and got the advise to use "gcc -shared").

autoreconf -force -install also  installs the new libtool, very good
idea to do it, since patching the included libtool is error prone.
I'll try to build the latest release, where can I find a summary about
all the recent patches / fixes?

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/